<template>
    <div>
        <h1>Informacije o vremenu za grad Bar, Crna Gora</h1>
        <select class="custom-select" @change="onChange($event)" v-model="selectkey">
            <option value="1"> Weather Info

            </option>
            <option value="2"> Wind Info

            </option>
        </select>
        <div class="container">
        <table v-if="showWeather" border="1px">
            <tr>
                <td>Temperature</td>
                <td>Max. Temperature</td>
                <td>Min. Temperature</td>
                <td>Feels like</td>
                <td>Humidity</td>
                
            </tr>
            <tr v-for="(item,index) in maininfo" :key="index">
                <td>{{ item.temp }} °C</td>
                <td>{{ item.temp_max }} °C</td>
                <td>{{ item.temp_min }} °C</td>
                <td>{{ item.feels_like }} °C</td>
                <td>{{ item.humidity }} % </td>
                
            </tr>
            
        </table>

        <table v-else border="1px">
            <tr>
                <td>Wind Direction</td>
                <td>Wind Speed</td>
                
            </tr>
            <tr v-for="(item,index) in windinfo" :key="index">
                <td>{{ item.deg }} </td>
                <td>{{ item.speed }} </td>
                
            </tr>
            
        </table>
        </div>
    </div>
</template>
<script>
import vue from 'vue'
import axios from 'axios'
import VueAxios from 'vue-axios'
vue.use(VueAxios,axios)
export default {
    name: "WeatherTable",
    data(){
        return{
            maininfo : [],
            windinfo : [],
            selectkey: "",
            showWeather : false,
            showWind : false,
        }
    },
    mounted(){
        vue.axios.get('https://api.openweathermap.org/data/2.5/weather?lat=42&lon=19&units=metric&appid=af614f46a54300329afc8a3dd868cc2b')
        .then((resp)=>{
            this.maininfo = [resp.data.main]
            this.windinfo = [resp.data.wind]
            console.log(resp.data.wind)
        })
    },
    methods:{
        onChange(event){
            if(event.target.value == 1){
                this.showWeather = true
                this.showWind = false
            }
            else {
                this.showWeather = false
                this.showWind = true
            }
        }
    }
}
</script>
<style>
/* The container must be positioned relative: */
.custom-select {
  position: relative;
  font-family: Arial;
  width:200px;
  padding:8px;

}
.container{
    padding:5%;
    margin-left: 25%;
}

</style>
